Skip to navigation

Screen By Name

Beta

Screen a name against watchlist records to identify potential matches. Requires the screened_risk role.

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Query parameters

namestringRequired
Name to screen against watchlist records.
typestringOptional

Comma-separated list of watchlist record types to filter by.

release_namestringOptional
Watchlist release name to filter by.

Response

This endpoint returns an object.
requestobject
project_entity_attributesmap from strings to objects
datalist of objects

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
405
Method Not Allowed
406
Not Acceptable
422
Unprocessable Content
429
Rate Limit Exceeded
500
Internal Server Error